VisualEditor: Adding bold/italics to spaces before/after a word results in ugly wikitext
Closed, ResolvedPublic

Description

Which is something like '' this '' as opposed to something like ''that''. Of course this is also true for the source editor, but since the wikilink tool already gets rid of spaces at the beginning or at the end of a word, I wanted to make sure this can/should also be done when just formatting it (and it's being requested).


Version: unspecified
Severity: normal

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 1:57 AM
bzimport set Reference to bz54270.
Elitre created this task.Via LegacySep 18 2013, 1:10 PM
Elitre added a comment.Via ConduitOct 28 2013, 2:45 PM

User Steven at fr.wp asks that VE somehow recognizes and avoids that formatting is applied to spaces, since this results in ugly wikitext.
He suggests that spaces get highlighted so that people can easily recognize them; they might become black (when "bold" is applied) or grey (when "italics" is applied).

Jdforrester-WMF added a comment.Via ConduitNov 6 2013, 7:52 PM

This will be fixed by bug 52037.

  • This bug has been marked as a duplicate of bug 52037 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.